/*
  a basic player
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */


#include "player.h"



Player::Player() {

  multicastDevice = new MulticastDevice();
  audioDevice = new AudioDeviceLinux("/dev/dsp",true);
  audioDeviceRT = new RealTimeAudioDevice(audioDevice);
  infoDevice = new InfoDevice();
  

  
  aDevice=audioDevice;            // change these to test
  //aDevice=audioDeviceRT;
  
  multicastDevice->addListener(aDevice);
  //multicastDevice->addListener(infoDevice);
  
  aDevice->openDevice();
}


Player::~Player() {
  delete audioDevice;
  delete infoDevice;
  delete multicastDevice;
}



OutputDevice* Player::getInternalDeviceTree() {
  return multicastDevice;
}


